%def_enable stardictgtk
%if_enabled stardictgtk
%define stardictgtkinstalldir %_builddir/%name-%version/gtkinstalldir/
%endif

Name: stardict
Version: 2.4.8
Release: alt1

Summary: StarDict dictionary
Summary(ru_RU.CP1251): StarDict 
License: GPL
Group: System/Internationalization
Url: http://%name.sourceforge.net
Requires: %{name}-common = %version

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2
Source1: stardict-gtk.desktop
#Patch0: stardict-2.4.3-alt-gtk.patch

BuildPreReq: menu-devel

# Automatically added by buildreq on Thu Jul 13 2006
BuildRequires: esound fontconfig gcc-c++ GConf glibc-devel-static gnome-vfs-devel imake libavahi-glib libGConf-devel libgnomeui-devel libXt-devel linux-libc-headers perl-XML-Parser scrollkeeper xorg-cf-files

#BuildRequires: GConf2 ORBit2-devel esound fontconfig-devel freetype2-devel gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libcairo-devel libg2c-devel libglitz-devel libgnome-devel libgnome-keyring-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpng-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkg-config scrollkeeper xorg-x11-devel zlib-devel
#BuildRequires: GConf2 ORBit2-devel esound fontconfig-devel freetype2-devel gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libcairo-devel libg2c-devel libglitz-devel libgnome-devel libgnome-keyring-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpng-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkg-config scrollkeeper xorg-x11-devel zlib-devel

%description
StarDict is an international dictionary written for the GNOME environment. 
It has evolved from Motif/Lesstif based Chinese dictionary, into a full
featured international dictionary written in GTK+. Here are some of its
features:

- Instantly popup word definition when word is selected on screen
- Wildcard search ( e.g. "wo?d*" )
- Fuzzy query
- Dock into notification area
- Find text in word definition
- Many dictionaries available, including freedict, *quick, xdict,
  dict.org dictionaries

%description -l ru_RU.CP1251
StarDict      GNOME .
     Motif/Lesstif  ,  
    GTK+.   :

-        -.
-    (  "wo?d*" )
-  
- Dock   
-     
-    ,  freedict, *quick, xdict,
  dict.org 

%package gnome
Summary: StarDict dictionary
Summary(ru_RU.CP1251): StarDict 
Group: System/Internationalization
Requires: %{name}-common = %version
Provides: %name = %version-%release

%description gnome
StarDict is an international dictionary written for the GNOME environment. 
It has evolved from Motif/Lesstif based Chinese dictionary, into a full
featured international dictionary written in GTK+. Here are some of its
features:

- Instantly popup word definition when word is selected on screen
- Wildcard search ( e.g. "wo?d*" )
- Fuzzy query
- Dock into notification area
- Find text in word definition
- Many dictionaries available, including freedict, *quick, xdict,
  dict.org dictionaries

%description -l ru_RU.CP1251 gnome
StarDict      GNOME .
     Motif/Lesstif  ,  
    GTK+.   :

-        -.
-    (  "wo?d*" )
-  
- Dock   
-     
-    ,  freedict, *quick, xdict,
  dict.org 

%package gtk
Summary: StarDict dictionary gtk version
Summary(ru_RU.CP1251): StarDict  gtk 
Group: System/Internationalization
Requires: %{name}-common = %version
Provides: %name = %version-%release

%description gtk
StarDict is an international dictionary written for the GNOME environment. 
It has evolved from Motif/Lesstif based Chinese dictionary, into a full
featured international dictionary written in GTK+. Here are some of its
features:

- Instantly popup word definition when word is selected on screen
- Wildcard search ( e.g. "wo?d*" )
- Fuzzy query
- Dock into notification area
- Find text in word definition
- Many dictionaries available, including freedict, *quick, xdict,
  dict.org dictionaries
  
This package contains version built without GNOME support.

%description -l ru_RU.CP1251 gtk
StarDict      GNOME .
     Motif/Lesstif  ,  
    GTK+.   :

-        -.
-    (  "wo?d*" )
-  
- Dock   
-     
-    ,  freedict, *quick, xdict,
  dict.org 

   ,    GNOME.

%package common
Summary: Common files for both stardict and stardict-gtk
Summary(ru_RU.CP1251):    stardict  stardict-gtk
Group: Development/Other
Conflicts: %name < 2.4.5

%description common
This package contains common files for both stardict and stardict-gtk

%description -l ru_RU.CP1251 common
      stardict  stardict-gtk

%prep
%setup -q
#patch0 -p1

#__rm -f src/GNOME_Stardict{-{common,skels,stubs}.c,.h}

%build
%if_enabled stardictgtk
%configure --disable-gnome-support
%make_build
%make_install install DESTDIR=%stardictgtkinstalldir
%endif
#mv src/stardict src/stardict-gtk
make clean
%configure --disable-schemas-install
%make_build

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %make_install DESTDIR=%buildroot \
	    scrollkeeper_localstate_dir=%buildroot%_var/lib/scrollkeeper \
	    install

%if_enabled stardictgtk
%__install -p gtkinstalldir/usr/bin/stardict %buildroot%_bindir/stardict-gtk
%__install -p -m644 %SOURCE1 %buildroot%_datadir/applications/
%endif

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Applications/Text tools" \
    %buildroot%_datadir/applications/stardict.desktop \
    %buildroot%_menudir/%name
%if_enabled stardictgtk
freedesktop2menu.pl %{name}-gtk "Applications/Text tools" \
    %buildroot%_datadir/applications/stardict-gtk.desktop \
    %buildroot%_menudir/%{name}-gtk
%endif

%find_lang --with-gnome %name

%post 
%update_menus
%update_scrollkeeper
%gconf2_install %name

%postun
%clean_menus
%clean_scrollkeeper

%if_enabled stardictgtk
%post gtk
%update_menus

%postun gtk
%clean_menus
%endif

%files -f %name.lang common
%_datadir/%name
%_datadir/pixmaps/*
%_man1dir/*
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%doc doc/{DICTFILE_FORMAT,FAQ,HACKING,HowToCreateDictionary}

%files gnome
%_bindir/%name
%_datadir/applications/%name.desktop
%_datadir/idl/*
%_libdir/bonobo/servers/*
%_menudir/%name
%config %_sysconfdir/gconf/schemas/*.schemas

%if_enabled stardictgtk
%files gtk
%_bindir/%{name}-gtk
%_datadir/applications/%{name}-gtk.desktop
%_menudir/%{name}-gtk
%endif

%changelog
* Thu Jul 13 2006 Alex Murygin <murygin@altlinux.ru> 2.4.8-alt1
- new version
- corrected name and exec for gtk version in menu [9755]
- tools package moved to separate package (upstream)
- new docs added

* Thu Jan 19 2006 Alex Murygin <murygin@altlinux.ru> 2.4.6-alt1
- new version
- added make clean between making gtk and gnome versions
- added following files into tools package and updated description
  stardict_verify - check installed dictionaries for errors
  hanzim2dict.py  - as an example for making stardict dictionaries with python help
- I didn't add the following tools because I didn't know if anybody asked for them
  21tech
  buddhist
  directory2treedic
  ec50
  jdictionary
  jm2stardict.py
  kdic
  olddic2newdic
  powerword
  soothill
  tabfile
  xmlinout

* Mon Aug 08 2005 Alex Murygin <murygin@altlinux.ru> 2.4.5-alt2
- added conflict to stardict < 2.4.5 for stardict-common

* Mon Aug 01 2005 Alex Murygin <murygin@altlinux.ru> 2.4.5-alt1
- new version
- added stardict-gtk package
- renamed main package to stardict-gnome
- moved common files to stardict-common package

* Sat Jun 18 2005 Alex Murygin <murygin@altlinux.ru> 2.4.4-alt1
- new version

* Thu Nov 11 2004 Alex Murygin <murygin@altlinux.ru> 2.4.3-alt4
- changed menu group to "Applications/Text tools"

* Thu Jul 29 2004 Alex Murygin <murygin@altlinux.ru> 2.4.3-alt3
- fixed menu
- changed summary (thanks Abel Cheung - Mandrake)
- added russian summary/description

* Thu Apr 29 2004 Alex Murygin <murygin@altlinux.ru> 2.4.3-alt2
- removed -DGTK_DISABLE_DEPRECATED

* Tue Mar 16 2004 Alex Murygin <murygin@altlinux.ru> 2.4.3-alt1
- new version
- added mova2dic to tools

* Thu Nov 20 2003 Alex Murygin <murygin@altlinux.ru> 2.4.2-alt1
- new version
- added stardict_dict_update to %{name}-tools
- deleted example.idxhead and added example.ifo

* Fri Aug 29 2003 Alex Murygin <murygin@altlinux.ru> 2.4.0-alt1
- new version
- regenerated buildreq

* Sun Jul 06 2003 Alex Murygin <murygin@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Mon Jun 09 2003 Alex Murygin <murygin@altlinux.ru> 2.2.0-alt2
- new version without version incrementation

* Sun Jun 01 2003 Alex Murygin <murygin@altlinux.ru> 2.2.0-alt1
- new version

* Wed May 28 2003 Alex Murygin <murygin@altlinux.ru> 2.1.0-alt2
- fixed clean_scrollkeeper postun script

* Wed May 21 2003 Alex Murygin <murygin@altlinux.ru> 2.1.0-alt1
- new version
- added package startdict-tools

* Sun May 04 2003 Alex Murygin <murygin@altlinux.ru> 2.0.0-alt1
- Initial revision.
